Interface specification of HSP API

Introduction

This help file guides you how to test HFP profile AG role using Bluetooth Stack for Windows by Toshiba against PTS Test tool.

This Test Tool(HFP Tester) supports Mandatory specifications only.

**** HFP Tester **** stands for PC test tool of AG role (refer to the image below)

**** PTS Test Tool **** stands for PTS tester role (refer to the image below)

Please perform each test sequentially from the top.


Preparation

Configure the WorkSpace of HFP profile.

Open new WorkSpace.

Search the address of HFP Tester and select it.

S earch the address by clicking the “Search” button or enter the address directly (enter digits without “:”.).

Make sure the PC name and click next button.

  Select Profile to test.

Select the test case.

Key mark appears left side of the test case when FALSE is selected.

Enter phone number and memory number. Set “0” for TSPX_server_channel_tester.

IncomingCall of PTS Test tool sends the phone number specified here.

  Save workspace before start test or the configuration won’t be reflected.


Registration by Bluetooth Settings

To register, run test which requires the connection, such as TC_AG_TRS_BV_01_I.

Select TC_AG_TRS_BV_01_I on PTS Test tool and click OK .

Open Bluetooth Settings of HFP Tester PC to register the PTS Test tool PC at Express mode.

Disable Skype Assistant before start testing.

PTS Test tool may complete testing after registration of Bluetooth Settings of AG is done.


Start of HFP Tester

When following dialog appears, enter ID.

This dialog may not appear again once correct ID is entered.

  Entering the incorrect ID may show the following dialog and the HFP Tester will be terminated.

Following dialog appears when HFP Tester is started.

Menu

  File .... Exit

  Test　　....Test items

  Help　　....Version of Toshiba Bluetooth Stack and Help of this tool


AG_TRS

TC_AG_TRS_BV_01_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

**** HFP Tester ****

Select “1.Hfconnect”

   Insert Address and click OK..

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the

“Device Search” button.

**** PTS Test Tool ****

Click OK

*** HFP Tester ****

  Select"3. HfTransferStatus",uncheck LAN CONNECT and click OK.

**** PTS Test Tool ****

Click OK

*** HFP Tester *****

Select"3. HfTransferStatus",check LAN CONNECT and click OK.

**** PTS Test Tool ****

   Make sure Pass appears

(End)


AG_ACS

TC_AG_ACS_BV_01_1

(Start)

*** HFP Tester *****

Select “7. HfSCOListen”.

Enter the address, check Accept and click OK.

Copy/Paste the address from [detail] of BT settings icon.

**** PTS Test Tool ****

  Run PTS Test tool and make sure PASS appears.

(End)

TC_AG_ACS_BV_02_1

(Start)

**** PTS Test Tool ****

Select the test and click OK..

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select “5.Hfconnect”SCO",and Enter the address, and click OK.

**** PTS Test Tool ****

  Make sure Pass appears.


AG_ACR

TC_AG_ACR_BV_01_1

(Start)

*** HFP Tester *****

Select “7. HfSCOListen”.

Enter the address, check Accept and click OK.

Copy/Paste the address from [detail] of BT settings icon.

**** PTS Test Tool ****

  Select the test and click OK.

**** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

   Make sure Pass appears.

(End)

TC_AG_ACR_BV_02_1

(Start)

*** HFP Tester *****

Select “7. HfSCOListen”.

Enter the address, check Accept and click OK.

Copy/Paste the address from [detail] of BT settings icon.

**** PTS Test Tool ****

  Select the test and click OK

**** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK

*** HFP Tester *****

Select “2. HfDisconnect”.

**** PTS Test Tool ****

  Make sure Pass appears.


AG_ICA

TC_AG_ICA_BV_01_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall".

  Make sure that the Option is “2”, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Click OK and make sure Pass appears.

(End)

TC_AG_ICA_BV_02_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall."

  Make sure that the Option is “2”, then enter the phone number as configured, and click OK..

**** PTS Test Tool ****

Click OK.

Click OK.

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall"

  Make sure that the Option is “1”, and enter Wave file name in ”Inband call tone” area then enter the phone number as configured, and click OK .

**** PTS Test Tool ****

Click OK and make sure Pass appears.

(End)

TC_AG_ICA_BV_04_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall.".

  Make sure that the Option is “2”, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Click OK and make sure Pass appears.

(End)

TC_AG_ICA_BV_05_1

(Start)

*** HFP Tester *****

Select “7. HfSCOListen”.

Enter the address, check Accept and click OK.

Copy/Paste the address from [detail] of BT settings icon.

**** PTS Test Tool ****

  Select the test and click OK.

**** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

.

**** PTS Test Tool ****

Click OK.

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall.".

  Make sure that the Option is “2”, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Click OK and make sure Pass appears.

(End)

TC_AG_ICA_BV_06_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall.".

  Make sure that the Option is “2”, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select “11.HfAnswerIncomingCall" and enter the address and click OK.

**** PTS Test Tool ****

Make sure Pass appears.


AG_ICR

TC_AG_ICR_BV_01_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall.".

  Make sure that the Option is “2”, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Make sure Pass appears

(End)

TC_AG_ICR_BV_02_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall.".

  Make sure that the Option is “2”, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select ““10.HfIRejetcall" and enter the address and click OK.

**** PTS Test Tool ****

Make sure Pass appears.


AG_TCA

TC_AG_TCA_BV_01_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall.".

  Make sure that the Option is “2”, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Select the test and click OK,make sure Pass appears.

(End)

TC_AG_TCA_BV_02_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall.".

  Make sure that the Option is “2”, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Click OK.

Click OK.

**** HFP Tester ****

Select “9.HfTerminateCall" and enter the address and click OK..

**** PTS Test Tool ****

Make sure Pass appears.

(End)

TC_AG_TCA_BV_03_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall.".

  Make sure that the Option is “2”, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Click OK.

Click OK.

**** HFP Tester ****

Select “9.HfTerminateCall" and enter the address and click OK　.

**** PTS Test Tool ****

Make sure Pass appears.


AG_ATH

TC_AG_ATH_BV_01_1

(Start)

*** HFP Tester *****

Select “4 HfSetCINDCall".

Check “Active” and click OK.

Select “7. HfSCOListen”.

Enter the address, check Accept and click OK.

Copy/Paste the address from [detail] of BT settings icon.

**** PTS Test Tool ****

Click OK.

Click OK,make sure Pass appears.

(End)

TC_AG_ATH_BV_02_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall.".

  Make sure that the Option is “2”, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Click OK.

Click OK.

**** HFP Tester ****

Select “6.HfDisconnectSCO” and enter the address and click OK.

**** PTS Test Tool ****

Click OK.

Click OK.

**** HFP Tester ****

Select “5.HfconnectSCO” and enter the address and click OK.

**** PTS Test Tool ****

Click OK and make sure Pass appears.


AG_ATA

TC_AG_ATA_BV_01_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall.".

  Make sure that the Option is “2”, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Click OK.

Click OK.

**** HFP Tester ****

Select “6.HfDisconnectSCO” and enter the address and click OK.

**** PTS Test Tool ****

Click OK.

Click OK.

**** HFP Tester ****

Select “9.HfTerminateCall” and enter the address and click OK.

**** PTS Test Tool ****

Make sure Pass appears.

(End)

TC_AG_ATA_BV_02_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall.".

  Make sure that the Option is “2”, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Click OK.

Click OK.

Click OK.

*** HFP Tester ****

   Select “9.HfTerminateCall” and enter the address and click OK.

**** PTS Test Tool ****

Make sure Pass appears.


AG_OCN

TC_AG_OCN_BV_01_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

Click OK.

*** HFP Tester ****

Make sure the phone number as below, select “12. HfReceiveCall”, confirm the address and click OK.

**** PTS Test Tool ****

Click OK and make sure Pass appears.


AG_OCM

TC_AG_OCM_BV_01_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

Click OK.

*** HFP Tester ****

Make sure the memory number as below, select “12. HfReceiveCall”, confirm the address and click OK.

**** PTS Test Tool ****

Click OK and make sure Pass appears.


AG_OCL

TC_AG_OCL_BV_01_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

Click OK.

*** HFP Tester ****

Make sure the AT command as below, select “12. HfReceiveCall”, confirm the address and click OK.

**** PTS Test Tool ****

Click OK and make sure Pass appears.


AG_CIT

TC_AG_CIT_BV_01_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall.".

  Make sure that the Option is “2”, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Click OK.

*** HFP Tester ****

Select “9.HfTerminateCall” and enter the address and click OK.

**** PTS Test Tool ****

Make sure Pass appears.


AG_ENO

TC_AG_ENO_BV_02_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

The entered address will be reflected to other windows

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall.".

  Make sure that the Option is “2”, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Click OK and make sure Pass appears.


AG_TDC

TC_AG_TDC_BV_01_1

(Start)

*** PTS Test Tool ****

Select the test and click OK.

  **** HFP Tester ****

Select “1.Hfconnect”.

  Enter the address, and click OK.

  Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the “Device Search” button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select “8.HfIncomingCall.".

  Make sure that the Option is “2”, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Click OK.

Following dialog appears to confirm the DTMF code (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, *, #). Click OK and see Pass after the test is completed.

**** HFP Tester ****

Make sure that following strings appear in the HFP Tester dialog in the following order at the same time when PTS Test tool shows the confirmation message.